/* _____ GENERAL _____
   _____         _____ */

html, body 
{ 
    height: 100%; width: 100%;
    margin: 0; padding: 0;
} 
  
body
{
    background-color: #F2F2F2;
    font-family: "Lato", sans-serif
} 

p {
    font-size: 1em;
    margin-left: 2%;
}

/* _____ FRAMEWORK _____
   _____           _____ */

#mainWindow
{
    width:40%;
    height:100%;
    margin-left:auto;
    margin-right:auto;
}

#rightPane
{
    margin:3px;
    padding:5px;
    width:50%;
    color:#3C1700;
    background-color:white;
    border: solid 2px #79663b;
}

#centerPane
{
    margin:3px;
    padding:5px;
    /*width:50%;*/
    color:#2d2d2d;
    background-color:white;
}

#mapDiv
{
    margin:5px;
    border:solid 4px #79663b;
}

#captchaCBDiv
{
    display: none;
}

#add_bin
{
    display: none;
}

.shadow
{
    -o-border-radius: 6px;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    box-shadow: 8px 8px 16px #323834;
    -webkit-box-shadow: 8px 8px 16px #323834;
    -moz-box-shadow: 8px 8px 16px #323834;
    -o-box-shadow: 8px 8px 16px #323834;
}
  
.nihilo .dijitAccordionText 
{
    margin-left:4px;
    margin-right:4px;
    color:#283A03;
    font-size: 1.25em;
    padding: 1.5%;
    line-height: 1.5;
}
.nihilo .dijitAccordionTitle
{
    background: #F5F5F5;
}

.bold
{
    font-weight: bold;
}

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 9999; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.6); /* Black w/ opacity */
    -webkit-animation-name: fadeIn; /* Fade in the background */
    -webkit-animation-duration: 0.4s;
    animation-name: fadeIn;
    animation-duration: 0.4s
}

/* Modal Content */
.modal-content {
    position: fixed;
	z-index: 9999; /* Sit on top */
    top: 15%;
	left: 20%;
    background-color: #fefefe;
    width: 60%;
	-webkit-animation-name: fadeIn; /* Fade in the background */
    -webkit-animation-duration: 0.4s;
    animation-name: fadeIn;
    animation-duration: 0.4s
}

/* The Close Button */
.close {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.modal-header {
    padding: 2px 12px;
    background-color: #a2bb67;
    color: white;
}

.modal-body {
	padding: 2px 16px;
}

/* Add Animation */
@-webkit-keyframes fadeIn {
    from {opacity: 0} 
    to {opacity: 1}
}

@keyframes fadeIn {
    from {opacity: 0} 
    to {opacity: 1}
}

/* Forms
--------------------------------------------- */

label {
    font-size: 16px;
}

input[type="text"],
input[type="email"],
input[type="tel"],
select,
textarea {
	border-color: #e0e0e0;
	-webkit-border-radius: 3px;
	border-radius: 3px;
	-webkit-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.06);
	box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.06);
	border-width: 1px;
	border-style: solid;
	color: #474e57;
	font-size: 14px;
	font-weight: 400;
	padding: 10px;
	width: 70%;
}

/* Put border around elements without optional tag */
input[type="text"]:not([optional='optional']),
input[type="email"]:not([optional='optional']),
input[type="tel"]:not([optional='optional']),
textarea:not([optional='optional']), select:not([optional='optional']) {
	border-color: rgb(141, 141, 141);
}

input[type="text"]:hover,
input[type="email"]:hover,
input[type="tel"]:hover,
textarea:hover, select:hover {
	border-color: #e0e0e0;
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="tel"]:focus,
textarea:focus, select:focus {
	border-color: rgb(21, 121, 235);
	-webkit-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.06), 0 0 5px rgba(160, 160, 160, 0.7);
	box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.06), 0 0 5px rgba(160, 160, 160, 0.7);
	outline: none;
}

input[type="checkbox"],
input[type="image"],
input[type="radio"] {
	width: auto;
}

input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder {
	color: #c7c7c7;
	opacity: 1;
	font-weight: 400;
}

input:-moz-placeholder,
textarea:-moz-placeholder {
	color: #c7c7c7;
	opacity: 1;
	font-weight: 400;
}

input::-moz-placeholder,
textarea::-moz-placeholder {
	color: #c7c7c7;
	opacity: 1;
	font-weight: 400;
}

input:-ms-input-placeholder,
textarea:-ms-input-placeholder {
	color: #c7c7c7;
	opacity: 1;
	font-weight: 400;
}

input::placeholder,
textarea::placeholder {
	color: #c7c7c7;
	opacity: 1;
	font-weight: 400;
}

/* Put red border around invalid/empty elements */
input[type="text"]:invalid,
input[type="email"]:invalid,
input[type="tel"]:invalid,
textarea:invalid, select:invalid {
	border-color: #ee0000;
}

input[type="button"]{
    border:none;
    display:inline-block;
    padding:0.7em 1.4em;
    margin:0 0.3em 0.3em 0;
    border-radius:0.15em;
    box-sizing: border-box;
    text-decoration:none;
    font-family:'Roboto',sans-serif;
    text-transform:uppercase;
    font-weight:400;
    color:#FFFFFF;
    background-color:#3369ff;
    box-shadow:inset 0 -0.6em 0 -0.35em rgba(0,0,0,0.17);
    text-align:center;
    position:relative;
    }
input[type="button"]{
    top:0.1em;
    }
@media all and (max-width:30em){
    input[type="button"]{
    display:block;
    margin:0.4em auto;
     }
}

@media all and (max-width:1440px){
    #mainWindow
    {
        width:60%;
    }
}

@media all and (max-width:800px){
    #mainWindow
    {
        width:95%;
    }
}

@media all and (max-width:414px){
    #mainWindow
    {
        width:98%;
    }
}